Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena
Class JenaOWLModel

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultKnowledgeBase
          edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel
              edu.stanford.smi.protegex.owl.jena.JenaOWLModel

All Implemented Interfaces:
  edu.stanford.smi.protege.model.KnowledgeBase, edu.stanford.smi.protege.util.Disposable, OntModelProvider, OWLModel, ProtegeKnowledgeBase, OWLTestManager

    public class JenaOWLModel

extends AbstractOWLModel
implements OntModelProvider

An OWLModel that can be synchronized with a Jena OntModel.

Author:
  Holger Knublauch

Field Summary
`static String` | `COPYRIGHT`
`static String` | `DEFAULT_PREFIX`
`static boolean` | `inUI`
`static String` | `TEMPLATE_FILE_NAME`
`static String` | `WRITER_PROTEGE`
`static String` | `WRITER_SETTINGS_PROPERTY`

Fields inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel
`ANONYMOUS_BASE, DEFAULT_ANNOTATION_PROPERTY_NAME, DEFAULT_CLASS_NAME, DEFAULT_DATATYPE_PROPERTY_NAME, DEFAULT_INDIVIDUAL_NAME, DEFAULT_OBJECT_PROPERTY_NAME, DEFAULT_PROPERTY_NAME, DEFAULT_TODO_PREFIX, DEFAULT_USED_LANGUAGES, OWL_MODEL_EXPAND_SHORT_NAME_IN_METHODS, OWL_MODEL_IMPORT_NAMESPACES, OWL_MODEL_INIT_DEFAULTS_AT_CREATION, UNIQUE_SESSION_ID`

Fields inherited from class edu.stanford.smi.protege.model.DefaultKnowledgeBase
`SERVER_PROCESS_USER`

Fields inherited from interface edu.stanford.smi.protegex.owl.jena.OntModelProvider
`OWL_DL, OWL_FULL, OWL_LITE`

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`MAXIMUM_CARDINALITY_UNBOUNDED, UNLIMITED_MATCHES`

Constructor Summary
`protected` | `JenaOWLModel(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)`

Method Summary
`com.hp.hpl.jena.ontology.OntModel` | `getOntModel()` Gets an OntModel which represents the current state.
`com.hp.hpl.jena.ontology.OntModel` | `getOWLDLOntModel()` Gets or prepares an OntModel which is guaranteed to be in OWL DL, for classification and other reasoning tasks.
`String` | `getOWLFilePath()` Gets the currently assigned file name for the top-level file of this OWLModel.
`int` | `getOWLSpecies()` Gets the OWL Species of the current main OntModel.
`RDFResource` | `getRDFResource(com.hp.hpl.jena.rdf.model.Resource resource)`
`com.hp.hpl.jena.ontology.OntModel` | `getReasonerOntModel(String classifierURL)` Gets an OntModel that is connected to a (DIG) reasoner.
`void` | `load(InputStream is, String language)` Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`
`void` | `load(Reader reader, String language)` Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`
`void` | `load(URI uri, String language)` Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`
`void` | `load(URI uri, String language, Collection<edu.stanford.smi.protege.util.MessageError> errors)` Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`
`static void` | `save(File file, com.hp.hpl.jena.ontology.OntModel ontModel, String language, String namespace)` Deprecated. -Use save(File file, OntModel ontModel, String language, String namespace, String xmlBase)
`static void` | `save(File file, com.hp.hpl.jena.ontology.OntModel ontModel, String language, String namespace, String xmlBase)`
`void` | `save(OutputStream os, String language, Collection errors)` Deprecated. please use the version with the URIs or access the OntModel directly
`void` | `save(OutputStream os, String language, Collection errors, com.hp.hpl.jena.ontology.OntModel ontModel)` Deprecated. please use the version with the URIs or access the OntModel directly
`void` | `save(URI fileURI)` Saves the current OWLModel in the standard format.
`void` | `save(URI fileURI, String language, Collection errors)` Writes the base model of this into a given file.
`void` | `save(URI fileURI, String language, Collection errors, com.hp.hpl.jena.ontology.OntModel ontModel)`
`static void` | `saveModel(OutputStream outputStream, com.hp.hpl.jena.rdf.model.Model model, String language, String namespace)` Deprecated. Use
`static void` | `saveModel(OutputStream outputStream, com.hp.hpl.jena.rdf.model.Model model, String language, String namespace, String xmlBase)`
`void` | `setProjectFileName(String filePath)` Sets the name of the file in the associated Project.

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.AbstractOWLModel
`addClassListener, addModelListener, addOWLTest, addParserError, addPropertyListener, addPropertyValueListener, addResourceListener, adjustForClient, asRDFObject, asRDFSLiteral, asRDFSLiterals, attachDefaultLanguageListener, convertRDFSLiteralsToInternalFormat, convertRDFSLiteralToInternalFormat, copyFacetValuesIntoNamedClses, copyFacetValuesIntoProperties, createAnnotationOWLDatatypeProperty, createAnnotationOWLObjectProperty, createAnnotationProperty, createCls, createDefaultLanguageListener, createFrameFactory, createFrameStoreManager, createInstance, createInstance, createInstance, createNewResourceName, createOWLAllDifferent, createOWLAllValuesFrom, createOWLAllValuesFrom, createOWLAllValuesFrom, createOWLCardinality, createOWLCardinality, createOWLCardinality, createOWLComplementClass, createOWLComplementClass, createOWLDataRange, createOWLDataRange, createOWLDatatypeProperty, createOWLDatatypeProperty, createOWLDatatypeProperty, createOWLDatatypeProperty, createOWLEnumeratedClass, createOWLEnumeratedClass, createOWLHasValue, createOWLHasValue, createOWLIntersectionClass, createOWLIntersectionClass, createOWLMaxCardinality, createOWLMaxCardinality, createOWLMaxCardinality, createOWLMinCardinality, createOWLMinCardinality, createOWLMinCardinality, createOWLNamedClass, createOWLNamedClass, createOWLNamedClass, createOWLNamedSubclass, createOWLObjectProperty, createOWLObjectProperty, createOWLObjectProperty, createOWLOntology, createOWLOntology, createOWLSomeValuesFrom, createOWLSomeValuesFrom, createOWLSomeValuesFrom, createOWLUnionClass, createOWLUnionClass, createRDFExternalResource, createRDFList, createRDFList, createRDFProperty, createRDFSClassFromExpression, createRDFSDatatype, createRDFSLiteral, createRDFSLiteral, createRDFSLiteral, createRDFSLiteralOrString, createRDFSNamedClass, createRDFSNamedClass, createRDFSNamedClass, createRDFSNamedSubclass, createRDFUntypedResource, createSubclass, createSubclass, createSubproperty, createSystemFrames, createTriple, createUniqueNewFrameName, deleteAllFrames, deleteCls, detachDefaultLanguageListener, dispose, endTransaction, executeSPARQLQuery, getAllImports, getAnonymousClassMetaCls, getAnonymousRootCls, getBrowserText, getCacheMachine, getChangedInferredClasses, getCommonSuperclass, getCommonSuperclasses, getDefaultAnnotationPropertiesInView, getDefaultLanguage, getDefaultLanguageProperty, getDefaultOWLOntology, getDisplaySlotNotSetString, getDisplaySlotPatternValueNotSetString, getDomainlessProperties, getFloatDatatypes, getFrameNameForURI, getFrameStoreManager, getGlobalParserCache, getInconsistentClasses, getIntegerDatatypes, getJenaModel, getLocalNameForResourceName, getLocalNameForURI, getMatchingResources, getNamespaceForResourceName, getNamespaceForURI, getNamespaceManager, getNextAnonymousResourceName, getNextAnonymousResourceNameStatic, getOWLAllDifferentClass, getOWLAllDifferentClassCls, getOWLAllDifferents, getOWLAllValuesFromClass, getOWLAllValuesFromProperty, getOWLAnnotationProperties, getOWLAnnotationPropertyClass, getOWLBackwardCompatibleWithProperty, getOWLCardinalityClass, getOWLCardinalityProperty, getOWLClassDisplay, getOWLClasses, getOWLClassMetaCls, getOWLClassParser, getOWLComplementClassClass, getOWLComplementOfProperty, getOWLDataRangeClass, getOWLDatatypeProperty, getOWLDatatypePropertyClass, getOWLDatatypePropertyMetaClassCls, getOWLDeprecatedClassClass, getOWLDeprecatedPropertyClass, getOWLDifferentFromProperty, getOWLDisjointWithProperty, getOWLDistinctMembersProperty, getOWLEnumeratedClassClass, getOWLEquivalentClassProperty, getOWLEquivalentPropertyProperty, getOWLFrameStore, getOWLFunctionalPropertyClass, getOWLHasValueClass, getOWLHasValueProperty, getOWLImportsProperty, getOWLIncompatibleWithProperty, getOWLIndividual, getOWLIndividuals, getOWLIndividuals, getOWLIntersectionClassClass, getOWLIntersectionOfProperty, getOWLInverseFunctionalPropertyClass, getOWLInverseOfProperty, getOWLJavaFactory, getOWLLogicalClassClass, getOWLMaxCardinalityClass, getOWLMaxCardinalityProperty, getOWLMinCardinalityClass, getOWLMinCardinalityProperty, getOWLNamedClass, getOWLNamedClassClass, getOWLNamedClassMetaClassCls, getOWLNothing, getOWLNothingClass, getOWLObjectProperty, getOWLObjectPropertyClass, getOWLObjectPropertyMetaClassCls, getOWLOneOfProperty, getOWLOnPropertyProperty, getOWLOntologies, getOWLOntologyByURI, getOWLOntologyByURI, getOWLOntologyClass, getOWLOntologyCls, getOWLOntologyPrefixesProperty, getOWLOntologyProperties, getOWLPriorVersionProperty, getOWLProject, getOWLProperty, getOWLResourceURIProperty, getOWLRestrictionClass, getOWLRestrictionMetaclasses, getOWLRestrictionsOnProperty, getOWLSameAsProperty, getOWLSomeValuesFromClass, getOWLSomeValuesFromProperty, getOWLSomeValuesFromRestrictionClass, getOWLSymmetricPropertyClass, getOWLSystemFramesArray, getOWLSystemResources, getOWLTests, getOWLThingClass, getOWLTransitivePropertyClass, getOWLUnionClassClass, getOWLUnionOfProperty, getOWLValuesFromProperty, getOWLValueType, getOWLVersionInfoProperty, getParserErrors, getPrefixForResourceName, getPropertyValueLiterals, getPropertyValueValidator, getProtegeAllowedParentProperty, getProtegeClassificationStatusProperty, getProtegeInferredSubclassesProperty, getProtegeInferredSuperclassesProperty, getProtegeInferredTypeProperty, getProtegeReadOnlyProperty, getProtegeSubclassesDisjointProperty, getRDFAltClass, getRDFBagClass, getRDFDatatypes, getRDFExternalClassClass, getRDFExternalPropertyClass, getRDFExternalResource, getRDFExternalResourceClass, getRDFFirstProperty, getRDFIndividual, getRDFIndividuals, getRDFIndividuals, getRDFListClass, getRDFListCls, getRDFNil, getRDFObjectProperty, getRDFPredicateProperty, getRDFProperties, getRDFProperty, getRDFPropertyClass, getRDFResource, getRDFResourceAs, getRDFResourceByBrowserText, getRDFResourceByNameOrBrowserText, getRDFResourceCount, getRDFResources, getRDFResources, getRDFResourcesWithPropertyValue, getRDFRestProperty, getRDFSClassCount, getRDFSClasses, getRDFSClassMetaClassCls, getRDFSCommentProperty, getRDFSContainerClass, getRDFSDatatypeByName, getRDFSDatatypeByURI, getRDFSDatatypeClass, getRDFSDatatypeFactory, getRDFSDatatypeOfValue, getRDFSDatatypes, getRDFSDomainProperty, getRDFSeqClass, getRDFSIsDefinedByProperty, getRDFSLabelProperty, getRDFSLiteralClass, getRDFSMemberProperty, getRDFSNamedClass, getRDFSNamedClassClass, getRDFSRangeProperty, getRDFSSeeAlsoProperty, getRDFSSubClassOfProperty, getRDFSSubPropertyOf, getRDFSSubPropertyOfProperty, getRDFStatementClass, getRDFSubjectProperty, getRDFTypeProperty, getRDFUntypedResource, getRDFUntypedResourcesClass, getRDFValueProperty, getRDFXMLLiteralType, getRepositoryManager, getResourceNameForURI, getResourceNameMatches, getResourcesWithPrefix, getSearchSynonymProperties, getSystemAnnotationProperties, getSystemFrames, getTaskManager, getTodoAnnotationPrefix, getTodoAnnotationProperty, getTopOWLOntologyClass, getTopOWLOntologyURISlot, getTripleStoreModel, getUniqueFrameName, getURIForResourceName, getUsedLanguages, getUserDefinedOWLDatatypeProperties, getUserDefinedOWLNamedClasses, getUserDefinedOWLObjectProperties, getUserDefinedOWLProperties, getUserDefinedRDFIndividuals, getUserDefinedRDFProperties, getUserDefinedRDFSNamedClasses, getValidNamespaceFrameName, getValidOWLFrameName, getValueLiterals, getValueTypeURI, getVisibleResources, getVisibleUserDefinedOWLProperties, getVisibleUserDefinedRDFProperties, getWriterSettings, getXSDanyURI, getXSDbase64Binary, getXSDboolean, getXSDbyte, getXSDdate, getXSDdateTime, getXSDdecimal, getXSDdouble, getXSDduration, getXSDfloat, getXSDint, getXSDinteger, getXSDlong, getXSDNonNegativeInteger, getXSDshort, getXSDstring, getXSDtime, initialize, initializeDefaultAnnotationView, initializeExpandShortNamesInMethods, initializeLoadDefaults, intializeImportOwlNamespaces, isAnonymousResource, isAnonymousResourceName, isAutoRepairEnabled, isDefaultAnonymousType, isDefaultAnonymousType, isExpandShortNameInMethods, isOWLSystemFrame, isOWLTestGroupEnabled, isProtegeMetaOntologyImported, isSlotMetaCls, isTrueInstance, isValidOWLFrameName, isValidOWLFrameName, isValidPropertyValue, isValidResourceName, listOWLAnonymousClasses, listOWLNamedClasses, listRDFProperties, listRDFSNamedClasses, listReferences, listSubjects, loadImportedAssertions, removeClassListener, removeModelListener, removeOWLTest, removePropertyListener, removePropertyValueListener, removeResourceListener, resetJenaModel, resetOntologyCache, setAutoRepairEnabled, setCacheMachine, setDefaultAnnotationPropertiesInView, setDirectOwnSlotValues, setDirectType, setExpandShortNameInMethods, setLoadDefaults, setOWLClassDisplay, setOWLJavaFactory, setOWLProject, setOWLTestGroupEnabled, setProject, setPropertyValueValidator, setSearchSynonymProperties, setTaskManager, setWriterSettings`

Methods inherited from class edu.stanford.smi.protege.model.DefaultKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addDirectTypes, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addJavaLoadPackage, addKnowledgeBaseListener, addOwnSlotValue, addServerProjectListener, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, addTransactionListener, adjustForServer, areValidOwnSlotValues, assertFrameName, beginTransaction, beginTransaction, clearAllListeners, close, commitTransaction, containsFrame, createCls, createCls, createCls, createCls, createFacet, createFacet, createFacet, createFacet, createInstance, createInstance, createSimpleInstance, createSimpleInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, createSlot, createUniqueFrameName, deleteFacet, deleteFrame, deleteInstance, deleteSimpleInstance, deleteSlot, endTransaction, equals, executeQuery, flushCache, flushEvents, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getBuildString, getClientInformation, getCls, getClsCount, getClses, getClsesWithMatchingBrowserText, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDispatchEventsEnabled, getDocumentation, getDomain, getEventsEnabled, getFacet, getFacetCheckingEnabled, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithMatchingDirectOwnSlotValue, getFramesWithValue, getGenerateEventsEnabled, getHeadFrameStore, getInheritedTemplateSlots, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getKnowledgeBaseFactory, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumCardinality2, getMaximumValue, getMinimumCardinality, getMinimumValue, getMissingTypeString, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReachableSimpleInstances, getReferences, getReferences, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstance, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumCardinality2, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumCardinality2, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getTerminalFrameStore, getTypes, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasChanged, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClosed, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isUndoEnabled, isValidFrameName, isValidOwnSlotValue, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubclass, moveDirectSubslot, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, removeDirectTypes, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeServerProjectListener, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, removeTransactionListener, rename, rollbackTransaction, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setClientInformation, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectBrowserTextPattern, setDirectOwnSlotValue, setDirectTemplateFacetValue, setDirectTemplateFacetValues, setDirectTemplateSlotValues, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDispatchEventsEnabled, setDocumentation, setDocumentation, setEventDispatchEnabled, setEventsEnabled, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setGenerateEventsEnabled, setInverseSlot, setJournalingEnabled, setLoading, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setModificationRecordUpdatingEnabled, setName, setNextFrameNumber, setOwnSlotValue, setOwnSlotValues, setPollForEvents, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setTerminalFrameStore, setUndoEnabled, setUserName, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling, toString, toString, toString, toStringForFrame, toStringForObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.OWLModel
`getDispatchEventsEnabled, getGenerateEventsEnabled, getHeadFrameStore, setDispatchEventsEnabled, setGenerateEventsEnabled`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeKnowledgeBase
`addClsListener, addClsListener, addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, addFacetListener, addFacetListener, addFrameListener, addFrameListener, addInstance, addInstanceListener, addInstanceListener, addKnowledgeBaseListener, addOwnSlotValue, addSlotListener, addSlotListener, addTemplateFacetValue, addTemplateSlotValue, areValidOwnSlotValues, clearAllListeners, containsFrame, createCls, createCls, createCls, createFacet, createFacet, createFacet, createInstance, createInstance, createSimpleInstance, createSlot, createSlot, createSlot, createSlot, deleteFacet, deleteFrame, deleteInstance, deleteSlot, getAllowedClses, getAllowedParents, getAllowedValues, getAllowsMultipleValues, getAssociatedFacet, getAssociatedSlot, getCls, getClsCount, getClses, getClsNameMatches, getCommandManager, getCurrentUsers, getDefaultClsMetaCls, getDefaultFacetMetaCls, getDefaultSlotMetaCls, getDefaultValues, getDirectBrowserSlotPattern, getDirectDomain, getDirectInstanceCount, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectSubclassCount, getDirectSubclasses, getDirectSubslotCount, getDirectSubslots, getDirectSuperclassCount, getDirectSuperclasses, getDirectSuperslotCount, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectType, getDirectTypes, getDocumentation, getDomain, getFacet, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameCounts, getFrameCreationTimestamp, getFrameCreator, getFrameFactory, getFrameLastModificationTimestamp, getFrameLastModifier, getFrameNameMatches, getFrameNamePrefix, getFrames, getFrameStores, getFramesWithValue, getInstance, getInstanceCount, getInstances, getInstances, getInvalidFrameNameDescription, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getInverseSlot, getMatchingFrames, getMatchingReferences, getMaximumCardinality, getMaximumValue, getMinimumCardinality, getMinimumValue, getName, getName, getNameSlot, getNextFrameNumber, getOverriddenTemplateFacets, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getRootClses, getRootClsMetaCls, getRootFacetMetaCls, getRootSlotMetaCls, getRootSlots, getSimpleInstanceCount, getSlot, getSlotCount, getSlots, getSlotValueLastModificationTimestamp, getSlotValueLastModifier, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValue, getTemplateFacetValues, getTemplateSlotAllowedClses, getTemplateSlotAllowedParents, getTemplateSlotAllowedValues, getTemplateSlotAllowsMultipleValues, getTemplateSlotDefaultValues, getTemplateSlotDocumentation, getTemplateSlotMaximumCardinality, getTemplateSlotMaximumValue, getTemplateSlotMinimumCardinality, getTemplateSlotMinimumValue, getTemplateSlots, getTemplateSlotValue, getTemplateSlotValues, getTemplateSlotValueType, getUnreachableSimpleInstances, getUserName, getValueChecking, getValues, getValueType, getVersionString, hasDirectlyOverriddenTemplateFacet, hasDirectlyOverriddenTemplateSlot, hasDirectSuperclass, hasDirectSuperslot, hasDirectTemplateSlot, hasDirectType, hasInheritedTemplateSlot, hasOverriddenTemplateFacet, hasOverriddenTemplateSlot, hasOwnSlot, hasSlotValueAtSomeFrame, hasSuperclass, hasSuperslot, hasTemplateSlot, hasType, insertFrameStore, insertFrameStore, isAbstract, isAutoUpdatingFacetValues, isCallCachingEnabled, isClsMetaCls, isDefaultClsMetaCls, isDefaultFacetMetaCls, isDefaultSlotMetaCls, isFacetMetaCls, isJournalingEnabled, isLoading, isMetaCls, isValidFrameName, isValidOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, notifyVisibilityChanged, removeClsListener, removeClsListener, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateSlot, removeDirectType, removeFacetListener, removeFacetListener, removeFrameListener, removeFrameListener, removeFrameStore, removeInstanceListener, removeInstanceListener, removeJavaLoadPackage, removeKnowledgeBaseListener, removeOwnSlotValue, removeSlotListener, removeSlotListener, removeTemplateFacetOverrides, setAbstract, setAllowedClses, setAllowedParents, setAllowedValues, setAllowsMultipleValues, setArgumentCheckingEnabled, setAssociatedFacet, setAssociatedSlot, setAutoUpdateFacetValues, setBuildString, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setDefaultClsMetaCls, setDefaultFacetMetaCls, setDefaultSlotMetaCls, setDefaultValues, setDirectBrowserSlot, setDirectBrowserSlotPattern, setDirectTypeOfSubclasses, setDirectTypeOfSubslots, setDirectTypes, setDocumentation, setDocumentation, setFacetCheckingEnabled, setFrameFactory, setFrameNamePrefix, setFrameNameValidator, setGenerateDeletingFrameEventsEnabled, setInverseSlot, setJournalingEnabled, setMaximumCardinality, setMaximumValue, setMinimumCardinality, setMinimumValue, setName, setNextFrameNumber, setOwnSlotValues, setPollForEvents, setTemplateFacetValue, setTemplateFacetValues, setTemplateSlotAllowedClses, setTemplateSlotAllowedParents, setTemplateSlotAllowedValues, setTemplateSlotAllowsMultipleValues, setTemplateSlotDefaultValues, setTemplateSlotDocumentation, setTemplateSlotDocumentation, setTemplateSlotMaximumCardinality, setTemplateSlotMaximumValue, setTemplateSlotMinimumCardinality, setTemplateSlotMinimumValue, setTemplateSlotValue, setTemplateSlotValues, setTemplateSlotValueType, setUndoEnabled, setValueChecking, setValues, setValueType, setVersionString, startJournaling, stopJournaling`

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBase
`addJavaLoadPackage, addServerProjectListener, addTransactionListener, assertFrameName, beginTransaction, beginTransaction, commitTransaction, createUniqueFrameName, endTransaction, executeQuery, flushCache, flushEvents, getBuildString, getClientInformation, getClsesWithMatchingBrowserText, getEventsEnabled, getKnowledgeBaseFactory, getReifedRelationFromSlot, getReifedRelationToSlot, getReifiedRelationCls, getRootCls, getSimpleInstance, hasChanged, isClosed, isUndoEnabled, moveDirectOwnSlotValue, moveDirectType, removeServerProjectListener, removeTransactionListener, rename, rollbackTransaction, setClientInformation, setEventsEnabled, setModificationRecordUpdatingEnabled`

Field Detail

### COPYRIGHT

    public static final String COPYRIGHT

### inUI

    public static boolean inUI

### TEMPLATE_FILE_NAME

    public static final String TEMPLATE_FILE_NAME

See Also:
  Constant Field Values

### DEFAULT_PREFIX

    public static final String DEFAULT_PREFIX

See Also:
  Constant Field Values

### WRITER_SETTINGS_PROPERTY

    public static final String WRITER_SETTINGS_PROPERTY

### WRITER_PROTEGE

    public static final String WRITER_PROTEGE

See Also:
  Constant Field Values

Constructor Detail

### JenaOWLModel

    protected JenaOWLModel(edu.stanford.smi.protege.model.KnowledgeBaseFactory factory)

Method Detail

### getRDFResource

    public RDFResource getRDFResource(com.hp.hpl.jena.rdf.model.Resource resource)

### getOntModel

    public com.hp.hpl.jena.ontology.OntModel getOntModel()

  Description copied from interface: `OntModelProvider`
  Gets an OntModel which represents the current state.

  Specified by:
    `getOntModel` in interface `OntModelProvider`
  Specified by:
    `getOntModel` in interface `OWLModel`
  Returns:
    an OntModel

### getOWLDLOntModel

    public com.hp.hpl.jena.ontology.OntModel getOWLDLOntModel()

  Description copied from interface: `OntModelProvider`
  Gets or prepares an OntModel which is guaranteed to be in OWL DL, for classification and other reasoning tasks.

  Specified by:
    `getOWLDLOntModel` in interface `OntModelProvider`
  Returns:
    null if the OntModel cannot be reduced to OWL DL

### getOWLFilePath

    public String getOWLFilePath()

  Gets the currently assigned file name for the top-level file of this OWLModel. Note that this only returns a meaningful value after the user has assigned a name (using save as...)

  Returns:
    the file name

### getOWLSpecies

    public int getOWLSpecies()

  Description copied from interface: `OntModelProvider`
  Gets the OWL Species of the current main OntModel.

  Specified by:
    `getOWLSpecies` in interface `OntModelProvider`
  Returns:
    one of the three OWL_xxx constants

### getReasonerOntModel

    public com.hp.hpl.jena.ontology.OntModel getReasonerOntModel(String classifierURL)

  Description copied from interface: `OntModelProvider`
  Gets an OntModel that is connected to a (DIG) reasoner.

  Specified by:
    `getReasonerOntModel` in interface `OntModelProvider`
  Parameters:
    `classifierURL` - the URL of the classifier (usually defined in the preferences)
  Returns:
    An OntModel that contains the classification result

### save

    public void save(URI fileURI)
              throws Exception

  Saves the current OWLModel in the standard format.

  Parameters:
    `fileURI` - the URI to write into
  Throws:
    `Exception` - if something went wrong

### save

    public void save(URI fileURI,
                     String language,
                     Collection errors)

  Writes the base model of this into a given file.

  Parameters:
    `fileURI` - the URI of the target file
    `language` - the Jena output language (typically FileUtils.langXMLAbbrev)
    `errors` - an initially empty collection of errors

### save

    @Deprecated
    public void save(OutputStream os,
                                String language,
                                Collection errors)

  Deprecated. please use the version with the URIs or access the OntModel directly

### save

    public void save(URI fileURI,
                     String language,
                     Collection errors,
                     com.hp.hpl.jena.ontology.OntModel ontModel)

### save

    @Deprecated
    public static void save(File file,
                                       com.hp.hpl.jena.ontology.OntModel ontModel,
                                       String language,
                                       String namespace)
                     throws IOException

  Deprecated. -Use save(File file, OntModel ontModel, String language, String namespace, String xmlBase)

  Throws:
    `IOException`

### save

    public static void save(File file,
                            com.hp.hpl.jena.ontology.OntModel ontModel,
                            String language,
                            String namespace,
                            String xmlBase)
                     throws IOException

  Throws:
    `IOException`

### save

    @Deprecated
    public void save(OutputStream os,
                                String language,
                                Collection errors,
                                com.hp.hpl.jena.ontology.OntModel ontModel)

  Deprecated. please use the version with the URIs or access the OntModel directly

### saveModel

    @Deprecated
    public static void saveModel(OutputStream outputStream,
                                            com.hp.hpl.jena.rdf.model.Model model,
                                            String language,
                                            String namespace)
                          throws IOException

  Deprecated. Use

  Throws:
    `IOException`

### saveModel

    public static void saveModel(OutputStream outputStream,
                                 com.hp.hpl.jena.rdf.model.Model model,
                                 String language,
                                 String namespace,
                                 String xmlBase)
                          throws IOException

  Throws:
    `IOException`

### setProjectFileName

    public void setProjectFileName(String filePath)

  Sets the name of the file in the associated Project. This should be called before a newly created Project is saved.

  Parameters:
    `filePath` - the new (typically relative) path to the .owl file
  See Also:
    `Project.save(java.util.Collection)`

### load

    @Deprecated
    public void load(URI uri,
                                String language)
              throws edu.stanford.smi.protege.exception.OntologyLoadException

  Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### load

    @Deprecated
    public void load(InputStream is,
                                String language)
              throws edu.stanford.smi.protege.exception.OntologyLoadException

  Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### load

    @Deprecated
    public void load(Reader reader,
                                String language)
              throws edu.stanford.smi.protege.exception.OntologyLoadException

  Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### load

    @Deprecated
    public void load(URI uri,
                                String language,
                                Collection<edu.stanford.smi.protege.util.MessageError> errors)

  Deprecated. use `OwlProjectFromStreamCreator`, `OwlProjectFromReaderCreator` or `OwlDatabaseFromFileCreator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.